- NAME
- DESCRIPTION
- METHODS
  - Create
  - Load IDENTIFIER
  - LoadAction HASH
  - Action
  - id
  - Name
  - SetName VALUE
  - Description
  - SetDescription VALUE
  - ExecModule
  - SetExecModule VALUE
  - Argument
  - SetArgument VALUE
  - Creator
  - Created
  - LastUpdatedBy
  - LastUpdated

# NAME

RT::ScripAction - RT Action object

# DESCRIPTION

This module should never be called directly by client code. it's an internal module which should only be accessed through exported APIs in other modules.

# METHODS

## Create

Takes a hash. Creates a new Action entry.

## Load IDENTIFIER

Loads an action by its Name.

Returns: Id, Error Message

## LoadAction HASH

Takes a hash consisting of TicketObj and TransactionObj. Loads an RT::Action:: module.

## Action

Return the actual RT::Action object for this scrip.

## id

Returns the current value of id. (In the database, id is stored as int(11).)

## Name

Returns the current value of Name. (In the database, Name is stored as varchar(200).)

## SetName VALUE

Set Name to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Name will be stored as a varchar(200).)

## Description

Returns the current value of Description. (In the database, Description is stored as varchar(255).)

## SetDescription VALUE

Set Description to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Description will be stored as a varchar(255).)

## ExecModule

Returns the current value of ExecModule. (In the database, ExecModule is stored as varchar(60).)

## SetExecModule VALUE

Set ExecModule to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, ExecModule will be stored as a varchar(60).)

## Argument

Returns the current value of Argument. (In the database, Argument is stored as varbinary(255).)

## SetArgument VALUE

Set Argument to VALUE. Returns (1, 'Status message') on success and (0, 'Error Message') on failure. (In the database, Argument will be stored as a varbinary(255).)

## Creator

Returns the current value of Creator. (In the database, Creator is stored as int(11).)

## Created

Returns the current value of Created. (In the database, Created is stored as datetime.)

## LastUpdatedBy

Returns the current value of LastUpdatedBy. (In the database, LastUpdatedBy is stored as int(11).)

## LastUpdated

Returns the current value of LastUpdated. (In the database, LastUpdated is stored as datetime.)

← Back to index